completable 0.1.3

  • Readme
  • Changelog
  • Example
  • Installing
  • 57

Completable #

A Completable widget.

Getting Started #

final Key key;
final Function confirmDismiss;
final Function onCompleted;
final Function onPressed;
final Color color;
final Color colorBorder;
final Widget backgroundDismiss;
final Widget backgroundComplete;
final Widget child;
final Widget childComplete;
final bool completed;

See sample project in the examples folder.

demo

0.1.3 #

  • Improved code formatting.

0.1.0 #

  • Initial Open Source release.

example/README.md

Example Completable #

An example of a Completable widget.

Getting Started #

  • Swipe left to remove an item.
  • Swipe right to toggle an item's completed status.
  • Tap an item to select.
demo

Use this package as a library

1. Depend on it

Add this to your package's pubspec.yaml file:


dependencies:
  completable: ^0.1.3

2. Install it

You can install packages from the command line:

with Flutter:


$ flutter pub get

Alternatively, your editor might support flutter pub get. Check the docs for your editor to learn more.

3. Import it

Now in your Dart code, you can use:


import 'package:completable/completable.dart';
  
Popularity:
Describes how popular the package is relative to other packages. [more]
14
Health:
Code health derived from static analysis. [more]
100
Maintenance:
Reflects how tidy and up-to-date the package is. [more]
100
Overall:
Weighted score of the above. [more]
57
Learn more about scoring.

We analyzed this package on Nov 11, 2019, and provided a score, details, and suggestions below. Analysis was completed with status completed using:

  • Dart: 2.6.0
  • pana: 0.12.21
  • Flutter: 1.9.1+hotfix.6

Platforms

Detected platforms: Flutter

References Flutter, and has no conflicting libraries.

Dependencies

Package Constraint Resolved Available
Direct dependencies
Dart SDK >=2.1.0 <3.0.0
flutter 0.0.0
Transitive dependencies
collection 1.14.11 1.14.12
meta 1.1.7 1.1.8
sky_engine 0.0.99
typed_data 1.1.6
vector_math 2.0.8
Dev dependencies
flutter_test